#ifndef INCLUDE_GTKINTERFACE_H
#define INCLUDE_GTKINTERFACE_H
/* ----------------------------------------------------------------------------
 * gtkinterface.h
 * prototypes and definitions for gtkinterface.c.
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#include <gtk/gtk.h>

#include "gtkpbinit.h"

#define POLLTIME		10	/* in miliseconds */
#define TIMEOUT_MIN		2
#define TIMEOUT_LEVER	7	/* in 10th of a second */
#define TIMEOUT_NOTICE	15
#define TIMEOUT_WARNING	30
#define TIMEOUT_NEVER	1000

#define POPTO(to)		((to) * 100 / POLLTIME)

/* prototypes */
gint timeout_callback(gpointer data);
void update_interface(struct init *md, int popnext, ...);
GtkWidget* popup_create_window (struct theme *td);
void popup_update_background (GtkWidget *window, struct theme *td);

#endif    /* INCLUDE_GTKINTERFACE_H */
